package falkore.core;


public class StateThread extends Thread {
   private GameState gameState;

   public StateThread(GameState gameState) {
      this.gameState = gameState;
      this.setName("StateThread");
   }

   public void run() {
      do {	
         gameState.step();
      } while( gameState.getState() != GameState.State.STOP );
   }
}
